/*
 * csp_conv.h
 */

#ifndef CSP_CONV_H
#define CSP_CONV_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <inttypes.h>

typedef void (*csp_conv_func_t)(uint8_t *src_planes[], uint8_t *dst_planes[], int src_stride[], int dst_stride[], int width, int height);

int csp_conv_init(int accel);
void csp_conv_quit(void);
csp_conv_func_t csp_conv_get_convert_func(int src_csp, int dst_csp);


#endif /* CSP_CONV_H */

