/*
 *
 *
 */
/*
 * yuv2rgb_mmx.c
 * Copyright (C) 2000-2002 Silicon Integrated System Corp.
 * All Rights Reserved.
 *
 * Author: Olie Lho <ollie@sis.com.tw>
 *
 * This file is part of mpeg2dec, a free MPEG-2 video stream decoder.
 * See http://libmpeg2.sourceforge.net/ for updates.
 *
 * mpeg2dec is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * mpeg2dec is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "csp_conv.h"

#ifdef ARCH_X86

#include "attributes.h"
#include "mmx.h"

mmx_t csp_conv_mmx_80w = {0x0080008000800080LL};
mmx_t csp_conv_mmx_U_green = {0xf37df37df37df37dLL};
mmx_t csp_conv_mmx_U_blue = {0x4093409340934093LL};
mmx_t csp_conv_mmx_V_red = {0x3312331233123312LL};
mmx_t csp_conv_mmx_V_green = {0xe5fce5fce5fce5fcLL};
mmx_t csp_conv_mmx_10w = {0x1010101010101010LL};
mmx_t csp_conv_mmx_00ffw = {0x00ff00ff00ff00ffLL};
mmx_t csp_conv_mmx_Y_coeff = {0x253f253f253f253fLL};

mmx_t csp_conv_mmx_bluemask = {0xf8f8f8f8f8f8f8f8LL};
mmx_t csp_conv_mmx_greenmask = {0xfcfcfcfcfcfcfcfcLL};
mmx_t csp_conv_mmx_greenmask5 = {0xf8f8f8f8f8f8f8f8LL};
mmx_t csp_conv_mmx_redmask = {0xf8f8f8f8f8f8f8f8LL};

#endif

